/****************************************************************************
 *
 * Filename:    ps2000.h
 * Copyright:   Pico Technology Limited 2005
 * Author:      MTB
 * Description:
 *
 * This header defines the interface to driver routines for the 
 *	PicoScope2000 range of PC Oscilloscopes.
 *
 ****************************************************************************/


/* Although the PS2000 uses an 8-bit ADC, it is usually possible to
 * oversample (collect multiple readings at each time) by up to 256.
 * the results are therefore ALWAYS scaled up to 16-bits, even if
 * oversampling is not used.
 *
 * The maximum and minimum values returned are therefore as follows:
 */


/* Modified for Agilent VEE from here */



short __stdcall ps2000_open_unit	 ( void );

short __stdcall ps2000_get_unit_info	(
                                        short handle,
                                        char * string,
                                        short string_length,
                                        short line);

short __stdcall ps2000_flash_led	( short handle );

short __stdcall ps2000_close_unit	( short handle );

short __stdcall ps2000_set_channel 	(
					short handle,
		                        short	channel,
					short	enabled,
                                     	short	dc,
                                      	short	range);

short __stdcall ps2000_get_timebase 	(
					short handle,
					short  timebase,
					long   no_of_samples,
					long  * time_interval,
					short * time_units,
					short	oversample,
					long * max_samples);

short __stdcall ps2000_set_trigger (
					short handle,
					short	source,
					short	threshold,
					short	direction,
					short	delay,
					short  auto_trigger_ms);

short __stdcall ps2000_set_trigger2 (
					short handle,
					short	source,
					short	threshold,
					short	direction,
					float	delay,
					short  auto_trigger_ms);

short __stdcall ps2000_run_block (
					short handle,
					long	no_of_values,
					short	timebase,
					short	oversample,
					long * time_indisposed_ms);
short __stdcall ps2000_run_streaming (
										short handle,
                                        short sample_interval_ms,
                                        long max_samples, 
                                        short windowed);

short __stdcall ps2000_ready ( short handle );

short __stdcall ps2000_stop ( short handle );

long __stdcall ps2000_get_values (
					short handle,
					short * buffer_a,
					short * buffer_b,
					short * buffer_c,
					short * buffer_d,
					short * overflow,
					long no_of_values);

long __stdcall ps2000_get_times_and_values (
					short handle,
					long  * times,
					short * buffer_a,
					short * buffer_b,
					short * buffer_c,
					short * buffer_d,
					short * overflow,
					short time_units,
					long no_of_values);

short __stdcall ps2000_last_button_press (short handle);

long __stdcall ps2000_set_ets (
					short handle,
					short mode,
					short ets_cycles,
					short ets_interleave);

short __stdcall ps2000_set_light (
					short handle,
					short state);

short __stdcall ps2000_set_led	(
					short handle,
					short state);

short __stdcall ps2000_open_unit_async (void);
short __stdcall ps2000_open_unit_progress ( short * handle, short * progress_percent );
